| showserver

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Display information on configured servers

## Description

showserver displays a table with the names, contents and access methods of the sequence servers configured for your EMBOSS installation.

## Usage

Here is a sample session with showserver

Display information on the currently available servers:

    % showserver
    Display information on configured servers

    # Name            Scope                      Type                       ID  Qry All Count Cachefile                                             URL                                              Comment
    # =============== ========================== ========================== ==  === === ===== ===================================================== ================================================ =======
    biomart           sequence                   Sequence                   OK  OK  -     158 /homes/user/local/share/EMBOSS/server.biomart           http://www.biomart.org:80/biomart/martservice
    ensembl           sequence                   Sequence                   OK  OK  -     140 /homes/user/local/share/EMBOSS/server.ensembl           mysql://anonymous@ensembldb.ensembl.org:5306/    Public Ensembl MySQL instance, use for small-scale queries only.
    ensemblgenomes    sequence                   Sequence                   OK  OK  -     496 /homes/user/local/share/EMBOSS/server.ensemblgenomes    mysql://anonymous@mysql.ebi.ac.uk:4157/          Public Ensembl Genomes MySQL instance, use for small-scale queries only.
    das               sequence features          Sequence Features          OK  OK  -    1222 /homes/user/local/share/EMBOSS/server.dasregistry       http://www.dasregistry.org/das/                  DAS sequence/feature sources listed on the DAS registry
    tdas              sequence features          Sequence Features          OK  OK  -    1530 /homes/user/.embossdata/qatests.server.dasregistry      http://www.dasregistry.org/das/                  sequence/feature sources listed on dasregistry.org
    tensembldasserver sequence features          Sequence Features          OK  OK  -     249 /homes/user/.embossdata/qatests.server.ensembldasserver http://www.ensembl.org/das/                      sequence/feature sources on ensembl das server
    dbfetch           sequence features text obo Sequence Features Text Obo OK  -   -      50 /homes/user/local/share/EMBOSS/server.dbfetch           http://www.ebi.ac.uk/Tools/dbfetch/              EBI dbfetch webservices(REST)
    dkfz              sequence features text obo Sequence Features Text Obo OK  OK  OK      1 /homes/user/local/share/EMBOSS/server.dkfz              http://www.dkfz.de/menu/cgi-bin/srs7.1.3.1/wgetz SRS from DKFZ Heidelberg
    tdbfetch          sequence features text obo Sequence Features Text Obo OK  -   -      46 /homes/user/.embossdata/qatests.server.tdbfetch         http://www.ebi.ac.uk/Tools/dbfetch/              EBI dbfetch webservices(REST)
    twsdbfetch        sequence features text obo Sequence Features Text Obo OK  -   -      46 /homes/user/.embossdata/qatests.server.twsdbfetch       http://www.ebi.ac.uk/ws/services/WSDbfetchDoclit EBI dbfetch webservices(SOAP)
    wsdbfetch         sequence features text obo Sequence Features Text Obo OK  -   -      50 /homes/user/local/share/EMBOSS/server.wsdbfetch         http://www.ebi.ac.uk/ws/services/WSDbfetchDoclit EBI dbfetch webservices(SOAP)
    ebeye             text                       Text                       OK  OK  -      62 /homes/user/local/share/EMBOSS/server.ebeye             http://www.ebi.ac.uk/ebisearch/service.ebi       EB-eye text search service that allows searching across EBI public databases
    tebeye            text                       Text                       OK  OK  -      80 /homes/user/.embossdata/qatests.server.ebeye            http://www.ebi.ac.uk/ebisearch/service.ebi       EBI ebeye webservices
    entrez            text                       Unknown                    OK  OK  -      48 /homes/user/local/share/EMBOSS/server.entrez
    mrs               text                       Unknown                    OK  OK  -      33 /homes/user/local/share/EMBOSS/server.mrs               http://mrs.cmbi.ru.nl/mrs-5/search
    mrs3              text                       Unknown                    OK  OK  -      33 /homes/user/local/share/EMBOSS/server.mrs3              http://mrs.cmbi.ru.nl/mrs-3/plain.do
    mrs4              text                       Unknown                    OK  OK  -      33 /homes/user/local/share/EMBOSS/server.mrs4              http://mrs.cmbi.ru.nl/mrs-web/plain.do
    srs               text                       Unknown                    OK  OK  OK     16 /homes/user/local/share/EMBOSS/server.srs               http://srs.ebi.ac.uk/srsbin/cgi-bin/wgetz        SRS from EBI

## Command line arguments

    Display information on configured servers
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers: (none)
       Additional (Optional) qualifiers:
       -servername         string     Name of a single server to give information
                                      on (Any string)
       -showtypes          menu       [*] Show type(s) (Values: Protein (Protein
                                      sequences); Nucleic (Nucleotide sequences);
                                      Sequence (Any sequence data); Protfeatures
                                      (Protein features); Nucfeatures (Nucleotide
                                      features); Features (Any feature table
                                      data); Obo (OBO ontology data); Resource
                                      (Data resource); Taxonomy (Taxonomy data);
                                      Assembly (Assembled short read data); Text
                                      (text data); Html (HTML text data); Xml (XML
                                      text data); Unknown (Unspecified datatype
                                      to be defined for each database))
       -html               boolean    [N] Format output as an HTML table
       -full               boolean    [N] Display all columns
       -methods            boolean    [$(full)] This displays the access methods
                                      that can be used on this server, for all,
                                      query or ID access
       -[no]count          boolean    [Y] Display 'count' column
       -[no]cachefile      boolean    [Y] Display 'cachefile' column
       -[no]url            boolean    [Y] Display 'URL' column
       -fields             boolean    [$(full)] This displays the search fields
                                      that can be used on this server, other than
                                      the standard 'id' or 'acc' fields.
       -defined            boolean    [$(full)] This displays a short name for the
                                      file containing the server definition
       -serverversion      boolean    [$(full)] Display 'version' column
       -sortby             menu       [type] Sort by (Values: defined (Definition
                                      file short name); type (Datatype))
       -outfile            outfile    [stdout] Output file name

       Advanced (Unprompted) qualifiers:
       -only               toggle     [N] This is a way of shortening the command
                                      line if you only want a few standard columns
                                      to be displayed. Instead of specifying:
                                      '-nohead -notype -noid -noquery -noall'
                                      to get only the comment output, you can
                                      specify
                                      '-only -comment'
       -heading            boolean    [@(!$(only))] Display column headings
       -scope              boolean    [@(!$(only))] Display 'scope' column
       -type               boolean    [@(!$(only))] Display 'type' column
       -id                 boolean    [@(!$(only))] Display 'id' column
       -query              boolean    [@(!$(only))] Display 'qry' column
       -all                boolean    [@(!$(only))] Display 'all' column
       -comment            boolean    [@(!$(only))] Display 'comment' column

       Associated qualifiers:

       "-outfile" associated qualifiers
       -odirectory         string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
(none)
Additional (Optional) qualifiers
-servername | string | Name of a single server to give information on | Any string |

-showtypes

list

Show type(s)

Protein | (Protein sequences)
Nucleic | (Nucleotide sequences)
Sequence | (Any sequence data)
Protfeatures | (Protein features)
Nucfeatures | (Nucleotide features)
Features | (Any feature table data)
Obo | (OBO ontology data)
Resource | (Data resource)
Taxonomy | (Taxonomy data)
Assembly | (Assembled short read data)
Text | (text data)
Html | (HTML text data)
Xml | (XML text data)
Unknown | (Unspecified datatype to be defined for each database)

*

-html | boolean | Format output as an HTML table | Boolean value Yes/No | No
-full | boolean | Display all columns | Boolean value Yes/No | No
-methods | boolean | This displays the access methods that can be used on this server, for all, query or ID access | Boolean value Yes/No | $(full)
-[no]count | boolean | Display 'count' column | Boolean value Yes/No | Yes
-[no]cachefile | boolean | Display 'cachefile' column | Boolean value Yes/No | Yes
-[no]url | boolean | Display 'URL' column | Boolean value Yes/No | Yes
-fields | boolean | This displays the search fields that can be used on this server, other than the standard 'id' or 'acc' fields. | Boolean value Yes/No | $(full)
-defined | boolean | This displays a short name for the file containing the server definition | Boolean value Yes/No | $(full)
-serverversion | boolean | Display 'version' column | Boolean value Yes/No | $(full)

-sortby

list

Sort by

defined | (Definition file short name)
type | (Datatype)

type

-outfile | outfile | Output file name | Output file | stdout
Advanced (Unprompted) qualifiers
-only | toggle | This is a way of shortening the command line if you only want a few standard columns to be displayed. Instead of specifying: '-nohead -notype -noid -noquery -noall' to get only the comment output, you can specify '-only -comment' | Toggle value Yes/No | No
-heading | boolean | Display column headings | Boolean value Yes/No | @(!$(only))
-scope | boolean | Display 'scope' column | Boolean value Yes/No | @(!$(only))
-type | boolean | Display 'type' column | Boolean value Yes/No | @(!$(only))
-id | boolean | Display 'id' column | Boolean value Yes/No | @(!$(only))
-query | boolean | Display 'qry' column | Boolean value Yes/No | @(!$(only))
-all | boolean | Display 'all' column | Boolean value Yes/No | @(!$(only))
-comment | boolean | Display 'comment' column | Boolean value Yes/No | @(!$(only))
Associated qualifiers
"-outfile" associated outfile qualifiers
-odirectory | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

showserver examines the database servers defined for this EMBOSS installation and for the current user.

## Output file format

The output is a simple text table.

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
cachedas | Generate server cache file for DAS servers or for the DAS registry
cachedbfetch | Generate server cache file for Dbfetch/WSDbfetch data sources
cacheebeyesearch | Generate server cache file for EB-eye search domains
cacheensembl | Generate server cache file for an Ensembl server
dbtell | Display information about a public database
servertell | Display information about a public server
showdb | Display information on configured databases

## Author(s)

Peter Rice
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None